Permalink
Browse files

test: drop OpenJ9 CI tests (#1196)

The AdoptOpenJDK project does not yet provide a stable build for JDK9+ using OpenJ9, the current production-ready build is based on OpenJDK8 and most Java implementations should pass the JCK, so it don't actually provide any benefit to test with openj9 since most installs are based on oraclejdk or openjdk, this will help to reduce the matrix complexity and the time it takes to run the tests.
  • Loading branch information...
jorsol authored and vlsi committed May 21, 2018
1 parent 2f9fed4 commit 9b6506dfa1076ad27a16de8fc3e85bc23f1a5b97
Showing with 2 additions and 23 deletions.
  1. +2 −10 .travis.yml
  2. +0 −13 .travis/travis_install_openj9.sh
@@ -47,8 +47,6 @@ env:
before_install:
- ./.travis/travis_install_zulu.sh
- test -z "${ZULU_JDK}" || export JDK${ZULU_JDK}_HOME=/usr/lib/jvm/zulu-${ZULU_JDK}-amd64
- ./.travis/travis_install_openj9.sh
- test -z "${OPENJ9}" || export JDK${JDK}_HOME=${HOME}/jdk-9+${OPENJ9}
script:
# make sure previous build artifacts are not used for subsequent builds
@@ -101,12 +99,6 @@ matrix:
env:
- PG_VERSION=9.6
- JDK=9
- jdk: oraclejdk9
sudo: required
env:
- PG_VERSION=10
- JDK=9
- OPENJ9=181
- TZ=America/New_York # flips between −05:00 and −04:00
- jdk: oraclejdk8
sudo: required
@@ -148,9 +140,9 @@ matrix:
- jdk: oraclejdk8
sudo: required
addons:
postgresql: "9.6"
postgresql: "10"
env:
- PG_VERSION=9.6
- PG_VERSION=10
- SSLTEST=Y
- COVERAGE=Y
- jdk: openjdk7

This file was deleted.

Oops, something went wrong.

0 comments on commit 9b6506d

Please sign in to comment.